> For the complete documentation index, see [llms.txt](https://docs.blockflow.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockflow.network/cli/glossary/iblock.md).

# IBlock

It is predefined interface containing block data.

| Field              | Description                                                                                      |
| ------------------ | ------------------------------------------------------------------------------------------------ |
| chain\_id          | chainId of the network                                                                           |
| block\_timestamp   | Unix timestamp when the block was added to the blockchain.                                       |
| block\_number      | Number of the block.                                                                             |
| block\_hash        | Hash of the block.                                                                               |
| parent\_hash       | Hash of the parent block.                                                                        |
| nonce              | 8-byte integer in hexadecimal format. Used together with the mix hash to show the proof of work. |
| sha3\_uncles       | SHA3 of the uncles data in the block.                                                            |
| logs\_bloom        | Bloom filter for the logs of the block.                                                          |
| transactions\_root | Root of the transaction trie of the block.                                                       |
| state\_root        | Root of the final state trie of the block.                                                       |
| receipts\_root     | Root of the receipts trie of the block.                                                          |
| miner              | Address of the beneficiary to whom the mining rewards were given.                                |
| difficulty         | Difficulty for this block.                                                                       |
| total\_difficulty  | Accumulated difficulty of the chain until this block.                                            |
| size               | Size of this block in bytes.                                                                     |
| extra\_data        | Extra data of this block.                                                                        |
| gas\_limit         | Maximum gas allowed in this block.                                                               |
| gas\_used          | Total gas used by all transactions in this block.                                                |
| transaction\_count | Number of transactions in the block.                                                             |

```typescript
export interface IBlock {
  chain_id: string;
  block_timestamp: string;
  block_number: number;
  block_hash: string;
  parent_hash: string;
  nonce: string;
  sha3_uncles: string;
  logs_bloom: string;
  transactions_root: string;
  state_root: string;
  receipts_root: string;
  miner: string;
  difficulty: string;
  total_difficulty: string;
  size: string;
  extra_data: string;
  gas_limit: string;
  gas_used: string;
  transaction_count: number;
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockflow.network/cli/glossary/iblock.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
